Bug 595201 - RFE include hedgewars server as a subpackage
Summary: RFE include hedgewars server as a subpackage
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hedgewars (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-24 02:37 UTC by Bruno Wolff III
Modified: 2010-06-14 17:18 UTC (History)
1 user (show)

Fixed In Version: hedgewars-0.9.12-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-14 17:18:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update spec file (2.25 KB, patch)
2010-05-24 02:38 UTC, Bruno Wolff III
no flags Details | Diff
Patch to remove ghc-hslogger dependency (4.65 KB, patch)
2010-05-24 02:38 UTC, Bruno Wolff III
no flags Details | Diff
Patch to not use invalid -Nu optimization option. (596 bytes, patch)
2010-05-24 02:39 UTC, Bruno Wolff III
no flags Details | Diff

Description Bruno Wolff III 2010-05-24 02:37:09 UTC
Description of problem:
It would be nice to be able to run a hedgewars server using Fedora.
I have a sample scratch build at:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2204579

Technically the server needs ghc-hslogger which hasn't been packaged, but I made a build that disables the logging and it seems to be usable.

This rolls up the FTBFS fix from bug 595168.

Comment 1 Bruno Wolff III 2010-05-24 02:38:03 UTC
Created attachment 416014 [details]
Update spec file

Comment 2 Bruno Wolff III 2010-05-24 02:38:58 UTC
Created attachment 416015 [details]
Patch to remove ghc-hslogger dependency

Comment 3 Bruno Wolff III 2010-05-24 02:39:57 UTC
Created attachment 416016 [details]
Patch to not use invalid -Nu optimization option.

Comment 4 Bruno Wolff III 2010-05-25 08:10:24 UTC
There is the start of a review request for hslogger in bug 595603. It isn't clear yet whether or not this review will go forward.

Comment 5 Hans de Goede 2010-05-25 12:22:30 UTC
Thanks for the report and for the patches! Note that you can become a co-maintainer if you want. Also you should always feel free to commit any fixes to packages of mine yourself. They are all open to provenpackager. If you're not a proven packager yet maybe now is a good time to apply ?

A version with your patches applied is building for rawhide and F-13 now. I'll create a testing update for F-13 in bodhi when the builds are done.

Comment 6 Fedora Update System 2010-05-25 13:03:15 UTC
hedgewars-0.9.12-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/hedgewars-0.9.12-3.fc13

Comment 7 Bruno Wolff III 2010-05-25 13:30:36 UTC
I applied for up to commit access to hedgewars.
I have been thinking about reapplying. I may find it especially useful for some Fedora Engineering work I am doing, but I don't need it right away. I can float it past FESCO after I find out whether I am a member or not.

Comment 8 Fedora Update System 2010-05-26 21:49:22 UTC
hedgewars-0.9.12-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hedgewars'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/hedgewars-0.9.12-3.fc13

Comment 9 Fedora Update System 2010-06-14 17:18:11 UTC
hedgewars-0.9.12-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.